$slide-width: 288px;
$slider-height: 400px;

@include mobile {
    $slide-width: 270px;
    $slider-height: 368px;
}

.PrmSaleBlock-Carousel {
    height: $slider-height;
    max-width: 1356px; //paddings plus item size
    padding-left: 50px;
    margin: 0 auto;

    @include mobile {
        padding-left: 0;
    }

    .slick-slide {
        max-width: $slide-width;
        padding-right: 0;
        margin-right: 48px;

        @include mobile {
            margin-right: 16px;
        }

        .Image {
            width: $slide-width;
            height: $slide-width;
            max-width: $slide-width;

            @include mobile {
                height: $slider-height;
            }
        }
    }
}

.PrmSaleBlock {
    &-header {
        display: flex;
        margin-top: 48px;
        margin-bottom: 48px;
        justify-content: center;
        font-size: 80px;
        font-style: normal;
        font-weight: normal;
        line-height: 80px;

        @include mobile {
            margin-bottom: 30px;
            justify-content: flex-start;
            font-size: 48px;
            line-height: 48px;
        }
    }

    &-headerElement {
        color: #141414;
        white-space: nowrap;
    }

    &-categoryImage {
        max-width: 100%;

        img {
            width: auto;
            max-width: 100%;
        }

        &__mobile {
            display: none;
        }

        &__desktop {
            display: block;
        }

        @include mobile {
            &__mobile {
                display: block;
            }

            &__desktop {
                display: none;
            }
        }
    }

    &-categoryDetailsContainer {
        margin-left: 0;

        @include mobile {
            margin-left: 37px;
            position: absolute;
            bottom: 19px;
        }
    }

    &-categoryHeader {
        margin-top: 20px;
        font-family: 'Work Sans', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 500;
        line-height: 24px;
    }

    &-categoryLinkContainer {
        margin-top: 16px;
        font-family: 'Work Sans', sans-serif;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: 24px;

        @include mobile {
            font-size: 12px;
            font-weight: 400;
            line-height: 18px;
        }
    }

    &-categoryLink {
        display: inline-block;
        padding-bottom: 8px;
        border-bottom: 1px solid;
        text-decoration: none;
    }

    &-wrapper {
        overflow: hidden;
        background: #f5f5f5; /* Old browsers */
        background: -moz-linear-gradient(top, #f5f5f5 0%, #f5f5f5 68%, #fff 68%, #fff 68%, #fff 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(
            top,
            #f5f5f5 0%,
            #f5f5f5 68%,
            #fff 68%,
            #fff 68%,
            #fff 100%
        ); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(
            to bottom,
            #f5f5f5 0%,
            #f5f5f5 68%,
            #fff 68%,
            #fff 68%,
            #fff 100%
        ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */

        @include mobile {
            padding-left: 16px;
            background: -moz-linear-gradient(
                top,
                #f5f5f5 0%,
                #f5f5f5 68%,
                #fff 77%,
                #fff 68%,
                #fff 100%
            ); /* FF3.6-15 */
            background: -webkit-linear-gradient(
                top,
                #f5f5f5 0%,
                #f5f5f5 68%,
                #fff 77%,
                #fff 68%,
                #fff 100%
            ); /* Chrome10-25,Safari5.1-6 */
            background: linear-gradient(
                to bottom,
                #f5f5f5 0%,
                #f5f5f5 68%,
                #fff 77%,
                #fff 68%,
                #fff 100%
            ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        }

        @include desktop {
            min-height: 590px;
        }
    }
}

@keyframes slide-left {
    0% {
        transform: translateX(0);
    }
}
